Reference
//
Create a new subcategory
Security
oauth2ClientCredentials(Required scopes: categories:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/categories/{categoryId}/subcategories
- Productionhttps://api.boyahq.com/v2/categories/{categoryId}/subcategories
- Sandboxhttps://sandbox.api.boyahq.com/v2/categories/{categoryId}/subcategories
curl -i -X POST \
'https://developer.boyahq.com/_mock/v2/openapi/categories/{categoryId}/subcategories' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"name": "Water Bill",
"description": "Water bill expenses",
"code": "405034",
"teams": "[team_oid]"
}'Subcategory created successfully
Response
{ "_id": "string", "group_id": "string", "category": "string", "code": "string", "name": "string", "description": "string", "status": "ACTIVE", "teams": [ [] ], "createdAt": "string", "updatedAt": "string", "mapping_id": "string", "icon": "string", "__v": 0 }